%define version 0.0.9
%define release 1mdk

%define libggz_version 0.0.9
%define ggz_client_libs_version 0.0.9

%define games_list chess chinese-checkers combat dots ggzcards hastings lapocha reversi spades tictactoe

Name:		ggz-gtk-games
Summary:	GGZ Games for GTK+ user interface
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggzgamingzone.org/
BuildRoot:	%_tmppath/%{name}-%{version}-%{release}-buildroot

Source0:	http://ftp.ggzgamingzone.org/pub/ggz/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	libggz-devel = %{libggz_version}
BuildRequires:	ggz-client-libs-devel = %{ggz_client_libs_version}
BuildRequires:	bison
BuildRequires:	gtk+2-devel
Requires:	libggz = %{libggz_version}
Prereq:		ggz-client-libs = %{ggz_client_libs_version}
Prereq:		libggz = %{libggz_version}
Provides:	ggz-game-modules = %{version}

%description
The complete set of GGZ Gaming Zone games for GTK+ user interface.
Includes all of the following:
    Chess		Chinese Checkers	Combat
    Connect the Dots	GGZCards		Hastings
    La Pocha		Reversi			Spades
    Tic-Tac-Toe

%prep
%setup -q

%build
%configure2_5x --enable-gtk=gtk2
%make


%install
rm -rf %{buildroot}
%makeinstall_std

rm %{buildroot}%{_sysconfdir}/ggz.modules
rmdir %{buildroot}%{_sysconfdir}

# Get a copy of all of our .dsc files
mkdir -p %{buildroot}%{_datadir}/ggz/ggz-config
for i in %games_list; do
  install -m 0644 $i/module.dsc %{buildroot}%{_datadir}/ggz/ggz-config/gtk-$i.dsc
done

%find_lang %{name} --all-name

%clean
rm -rf %{buildroot}


%post
# Run ggz-config vs. all installed games
if [ -f %{_sysconfdir}/ggz.modules ]; then
  for i in %games_list; do
    ggz-config --install --modfile=%{_datadir}/ggz/ggz-config/gtk-$i.dsc --force
  done
fi


%preun
# Run ggz-config to uninstall all the games
if [ "$1" = "0" ]; then
  if [ -f %{_sysconfdir}/ggz.modules ]; then
    for i in %games_list; do
      ggz-config --remove --modfile=%{_datadir}/ggz/ggz-config/gtk-$i.dsc
    done
  fi
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.GGZ QuickStart.GGZ TODO
%{_libdir}/ggz/*
%{_datadir}/ggz/ccheckers
%{_datadir}/ggz/combat
%{_datadir}/ggz/ggz-config/*
%{_datadir}/ggz/pixmaps/*

%changelog
* Sat Nov 27 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version
- Fix BuildRequires

* Tue Feb 10 2004 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- New version

* Sat Sep  6 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- find_lang
- Redo BuildRequires and Requires, for 64-bit arch awareness
- Various other spec cleanups
- Only uninstall game description when removing package
- provides ggz-game-modules

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 Andi Payn <payn@myrealbox.net>
- Updated to 0.0.6
- Minor Mandrakization (no changes to binary packages)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Sun Apr 22 2001 Rich Gade <rgade@users.sourceforge.net>
- Added the pre-uninstall script
- Made included files more explicit where we don't absolutely own the dir
- Added gtk- prefix to dsc files

* Sun Apr 22 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
